Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 22 Apr 2020 17:15:11 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: "Basil L. Contovounesios" <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Wed, 22 Apr 2020 16:44:18 +0100
>> 
>> > Then how come I cannot reproduce it in today's master?
>> 
>> 0. emacs -Q
>> 1. M-x eww RET https://en.wikipedia.org/wiki/Emacs RET
>> 2. C-s Cul RET (place point on ToC entry "3 Culture")
>> 3. RET         (eww-follow-link)
>
> So one _must_ press RET.  the original report said "Click or press
> enter", so I did the former.

Right, that can't be true, since "v" and <mouse-2> invoke
shr-browse-url, which refetches the page and thus goes through the
eww-render route.

> Thanks for the rest, I will look into it.

Thanks,

-- 
Basil